Qt Reference Documentation

# QML PathCubic Element

The PathCubic defines a cubic Bezier curve with two control points. More...

This element was introduced in Qt 4.7.

- List of all members, including inherited members

## Properties

- control1X : real
- control1Y : real
- control2X : real
- control2Y : real
- x : real
- y : real

## Detailed Description

The following QML produces the path shown below:

     Path {
         startX: 20; startY: 0
         PathCubic {
             x: 180; y: 0
             control1X: -10; control1Y: 90
             control2X: 210; control2Y: 90
         }
     }

See also Path, PathQuad, and PathLine.

## Property Documentation

control1X : real
control1Y : real

Defines the position of the first control point.

control2X : real
control2Y : real

Defines the position of the second control point.

x : real
y : real

Defines the end point of the curve.